import asyncio


class Async:
    _loop = None

    @classmethod
    def async_func(cls, coro):
        def wrapper(*args, **kwargs):
            if cls._loop is None:
                cls._loop = asyncio.get_event_loop()

            return cls._loop.run_until_complete(coro(*args, **kwargs))

        return wrapper
